package test;

import io.bootique.BQCoreModule;
import io.bootique.BaseModule;
import io.bootique.Bootique;
import io.bootique.di.Binder;
import io.bootique.meta.application.OptionMetadata;

public class DbApp extends BaseModule {
    public static void main(String[] args) {
        Bootique.main(args);
    }

    @Override
    public void configure(Binder binder) {
        BQCoreModule.extend(binder)
                .addConfig("classpath:test/db/default.yaml")

                // --local
                .addOption(OptionMetadata.builder("local", "Load configuration for local environment.").build())
                .mapConfigResource("local", "classpath:test/db/local.yaml")
        ;
    }
}
