package test;

import org.apache.cayenne.ObjectContext;
import test.cayenne.E1;
import test.cayenne.E2;

public class TestCase {

    public static void runTest (ObjectContext context, boolean doFail) {
        for (int i=100; i<110; ++i) {
            E1 e1 = context.newObject(E1.class);
            E2 e2 = context.newObject(E2.class);

            e1.setText("e1 #" + i);
            e2.setText("e2 #" + i);

            // executing this commit seems to
            // mitigate the issue

            if (!doFail) {
                context.commitChanges();
            }

            e1.setE2(e2);
            e2.setE1(e1);

            context.commitChanges();
        }
    }
}
